This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 731804 - [IPA] When upgrading ipa from 2.0.0-23 to 2.1.0-1 uninstall is leaving leftovers and reinstall fails.
[IPA] When upgrading ipa from 2.0.0-23 to 2.1.0-1 uninstall is leaving leftov...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 14:17 EDT by David Naori
Modified: 2015-01-04 18:50 EST (History)
11 users (show)

See Also:
Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Upgrading IPA from 2.0.0-23 Consequence: The 389-ds configuration has been modified not to accept requests. Fix: Make the upgrade process more robust so it always restores the 389-ds configuration. When upgrading we disable the 389-ds listeners so modifications are not done during this window. An error was causing this process to abort and the 389-ds configuration was not being restored. Result: Upgrading IPA does not leave the system in an inconsistent state.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 13:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Naori 2011-08-18 14:17:20 EDT
Description of problem:
When upgrading ipa from 2.0.0-23 to 2.1.0-1 uninstall command is leaving leftovers (/var/lib/ipa/sysrestore/sysrestore.state) and reinstall fails.

[root@camel-prod ipa]# ipa-server-install --uninstall

This is a NON REVERSIBLE operation and will delete all data and configuration!

Are you sure you want to continue with the uninstall procedure? [no]: yes
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring directory server

[root@camel-prod ipa]# ipa-server-install 

The log file for this installation can be found in /var/log/ipaserver-install.log
IPA server is already configured on this system.
If you want to reinstall the IPA server please uninstall it first.

[root@camel-prod ipa]# cat /var/log/ipaserver-install.log 
2011-08-18 21:09:48,483 DEBUG Loading StateFile from '/var/lib/ipa/sysrestore/sysrestore.state'
2011-08-18 21:09:48,484 DEBUG Loading Index file from '/var/lib/ipa/sysrestore/sysrestore.index'

[root@camel-prod ipa]# cat /var/lib/ipa/sysrestore/sysrestore.state
[dirsrv]
nsslapd-ldapiautobind = on
nsslapd-port = 389
nsslapd-security = on

(/var/lib/ipa/sysrestore/sysrestore.index No such file or directory)


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rob Crittenden 2011-08-18 14:24:14 EDT
https://fedorahosted.org/freeipa/ticket/1667
Comment 2 Rob Crittenden 2011-08-24 09:13:15 EDT
Do you remember the sequence of events with this instance?

Did you install 2.0, upgrade to 2.1, uninstall and try to re-install?

Or did you start with 2.0, upgrade to another release of 2.0, then uninstall the instance, update to 2.1 and try to re-install??
Comment 3 David Naori 2011-08-24 09:24:37 EDT
(In reply to comment #2)
> Did you install 2.0, upgrade to 2.1, uninstall and try to re-install?
Correct.
Comment 4 Rob Crittenden 2011-08-26 14:05:06 EDT
Cleaning up upgrade state is fixed upstream in:

master: e4b62d05294c6d00fddd1ad574085ddba1b887ee

ipa-2-1: c3ee9b32087c2f5778d70d8ada4508db5a56f6bf
Comment 6 Rob Crittenden 2011-11-01 09:35:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Upgrading IPA from 2.0.0-23
Consequence: The 389-ds configuration has been modified not to accept requests.
Fix: Make the upgrade process more robust so it always restores the 389-ds configuration. When upgrading we disable the 389-ds listeners so modifications are not done during this window. An error was causing this process to abort and the 389-ds configuration was not being restored.
Result: Upgrading IPA does not leave the system in an inconsistent state.
Comment 7 Namita Soman 2011-11-07 21:45:43 EST
testing
Comment 8 Namita Soman 2011-11-07 23:02:12 EST
Started with ipa-server.x86_64 0:2.0.0-23.el6. Installed. kinited as admin, added a user. 
Then did a yum update ipa-server to get ipa-server-2.1.3-8.el6.x86_64. 
restarted service - ipactl restart
kinit'd as admin and also as the user added previously
then uninstalled
reinstalled
added a new user

verified installing 2.0, upgrading to 2.1.3, uninstalling and re-installing
Comment 9 errata-xmlrpc 2011-12-06 13:30:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html

Note You need to log in before you can comment on or make changes to this bug.